安卓的依赖

转载 2018年04月16日 15:37:48
//Butterknife依赖
    compile 'com.jakewharton:butterknife:8.8.1'
//imageLoader的依赖包
    compile 'com.nostra13.universalimageloader:universal-image-loader:1.9.5'
//自动轮播图框架的依赖:
    compile 'com.youth.banner:banner:1.4.9'
//RecyclerView 的依赖:
    compile 'com.android.support:recyclerview-v7:26.0.0-alpha1'
//SimpleDraweeView加载图片的依赖:
    compile 'com.facebook.fresco:fresco:1.5.0'
//interceptor的依赖:
    compile 'com.squareup.okhttp3:logging-interceptor:3.9.0'
//Gson 的依赖:
    compile 'com.google.code.gson:gson:2.8.2'
//Banner的依赖:
    compile 'com.youth.banner:banner:1.4.10'
//XBanner的依赖:
    compile 'com.xhb:xbanner:1.3.0'
//Fresco依赖:
    compile 'com.facebook.fresco:fresco:1.5.0'
//OKHttp依赖
    compile 'com.squareup.okhttp3:okhttp:3.9.0'
//OKHttp拦截器
    compile 'com.squareup.okhttp3:logging-interceptor:3.9.0'
//xrecyclerview依赖
    compile 'com.jcodecraeer:xrecyclerview:1.3.2'
//Glide依赖
    compile 'com.github.bumptech.glide:glide:3.6.1'
//eventbus依赖
    compile 'org.greenrobot:eventbus:3.1.1'
//Retrofit依赖
    compile 'com.squareup.retrofit2:retrofit:2.0.2'
    compile 'com.squareup.retrofit2:converter-gson:2.0.2'
// RxJava依赖
    compile 'io.reactivex:rxandroid:1.0.1'
    compile 'com.squareup.retrofit2:adapter-rxjava:2.1.0'
    compile 'io.reactivex:rxjava:1.0.14'
    compile 'io.reactivex.rxjava2:rxandroid:2.0.1'
    compile 'io.reactivex.rxjava2:rxjava:2.1.7'
    compile 'com.squareup.retrofit2:adapter-rxjava2:2.3.0'
// RxAndroid依赖
    compile 'io.reactivex:rxandroid:1.0.1'
//fresco依赖
    compile 'com.facebook.fresco:fresco:0.12.0'
//  API < 14 上的机器支持 WebP 时,需要添加
    compile 'com.facebook.fresco:animated-base-support:0.12.0'
// 支持 GIF 动图,需要添加
    compile 'com.facebook.fresco:animated-gif:0.12.0'
// 支持 WebP (静态图+动图),需要添加
    compile 'com.facebook.fresco:animated-webp:0.12.0'
    compile 'com.facebook.fresco:webpsupport:0.12.0'
// 仅支持 WebP 静态图,需要添加
    compile 'com.facebook.fresco:webpsupport:0.12.0'
原地址:https://blog.csdn.net/qq_38127722/article/details/78552209

Composer 是 PHP 的一个依赖管理工具

-
  • 1970年01月01日 08:00

安卓自定义loading加载框

  • 2017年12月10日 14:57
  • 24.93MB
  • 下载

史上最全的安卓常用工具类依赖包(es版 ,需要as版的联系我)

  • 2017年08月10日 14:46
  • 5.3MB
  • 下载

Android Studio 添加依赖的几种方式

1、库依赖(library) 2、模块依赖(module) 以上两种又可以分为内部和外部 a、内部库 在工程的lib下直接粘贴jar、aar文件,androidstudio会自动加载指定目录下...
  • gangjindianzi
  • gangjindianzi
  • 2017-03-27 11:12:47
  • 6604

安卓中对库等依赖的详解

事实上,作为安卓开发者,我们在写代码时始终是有所依赖的,比如我们最熟悉的java源码,工具类,一些第三方的工具,jar包,还有一些类库等等。我们在创建每一个类之间都是有相关的关系的,也可以理解为依赖关...
  • smile0528
  • smile0528
  • 2016-08-19 18:29:17
  • 666

常用android依赖库

compile 'com.android.support:support-v4:23.1.1' compile 'com.android.support:appcompat-v7:23.1.1...
  • bruceyangjie
  • bruceyangjie
  • 2016-06-21 14:37:56
  • 1355

Android 编译环境的依赖库安装

Android的依赖库安装一般是如下: sudo apt-get install -y git gnupg flex bison gperf build-essential zip curl libc...
  • u010406724
  • u010406724
  • 2016-07-04 16:46:46
  • 1087

Android多个依赖项目Ant编译命令

在实际开发当中,开发app经常会使用一些依赖的项目,最基本的如android提供的support-v7-appcompat, design等。那在自动化编译中如何很简单的进行配置呢?这里记录一下我是怎...
  • pcsxk
  • pcsxk
  • 2015-10-30 17:09:16
  • 948

如何将一个 android工程作为依赖工程

工程依赖
  • qq_29678299
  • qq_29678299
  • 2016-04-02 17:42:10
  • 1272

Android Studio添加依赖 导包报红

Android Studio 导入原来的可运行的项目,再次运行可以运行,但是导入的包提示报红,重新导入显示不存在,需创建,如图: 项目可以运行,我看着这个报红很不爽啊,造成这种原因一般是IDE缓...
  • shanshan_1117
  • shanshan_1117
  • 2017-12-13 12:52:51
  • 204
收藏助手
不良信息举报
您举报文章:安卓的依赖
举报原因:
原因补充:

(最多只允许输入30个字)